Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class HelpSetFactory.Default

    java.lang.Object
      com.sun.interview.HelpSetFactory.Default

All Implemented Interfaces:
  HelpSetFactory

Enclosing interface:
  HelpSetFactory

    public static class HelpSetFactory.Default

extends java.lang.Object
implements HelpSetFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.interview.HelpSetFactory
`HelpSetFactory.Default`

Field Summary

Fields inherited from interface com.sun.interview.HelpSetFactory
`DEFAULT`

Constructor Summary
`HelpSetFactory.Default()`

Method Summary
`java.lang.Object` | `createHelpID(java.lang.Object hs, java.lang.String str)`
`java.lang.Object` | `createHelpSetObject(java.lang.String name, java.lang.Class c)` Creates an instance of HelpSet.
`java.lang.Object` | `createHelpSetObject(java.lang.String name, java.io.File file)` Creates an instance of HelpSet.
`java.lang.Object` | `updateHelpSetObject(Interview interview, java.lang.Object object)` Updates a HelpSet instance associated with the given interview.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpSetFactory.Default

    public HelpSetFactory.Default()

Method Detail

### createHelpSetObject

    public java.lang.Object createHelpSetObject(java.lang.String name,
                                                java.lang.Class c)
                                         throws Interview.Fault

  Description copied from interface: `HelpSetFactory`
  Creates an instance of HelpSet. Real implementation should create of javax.help.HelpSet, when a stub implementation just object.

  Specified by:
    `createHelpSetObject` in interface `HelpSetFactory`
  Throws:
    `Interview.Fault` - if something went wrong

### createHelpSetObject

    public java.lang.Object createHelpSetObject(java.lang.String name,
                                                java.io.File file)
                                         throws Interview.Fault

  Description copied from interface: `HelpSetFactory`
  Creates an instance of HelpSet. Real implementation should create of javax.help.HelpSet, when a stub implementation just object.

  Specified by:
    `createHelpSetObject` in interface `HelpSetFactory`
  Throws:
    `Interview.Fault` - if something went wrong

### createHelpID

    public java.lang.Object createHelpID(java.lang.Object hs,
                                         java.lang.String str)

  Specified by:
    `createHelpID` in interface `HelpSetFactory`

### updateHelpSetObject

    public java.lang.Object updateHelpSetObject(Interview interview,
                                                java.lang.Object object)

  Description copied from interface: `HelpSetFactory`
  Updates a HelpSet instance associated with the given interview.

  Specified by:
    `updateHelpSetObject` in interface `HelpSetFactory`
  Parameters:
    `interview` - - interview object to reset HelpSet
    `object` - - an instance of javax.help.HelpSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.